Skip to main content
GET
/
api
/
v1
/
team
Get Team Settings
curl --request GET \
  --url https://app.surfacd.com/api/v1/team \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.surfacd.com/api/v1/team"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.surfacd.com/api/v1/team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "default_country": {
    "code": "<string>",
    "name": "<string>"
  },
  "primary_color": "<string>",
  "default_prompt_limit": 123,
  "user_auto_provisioning_enabled": true,
  "billing": {
    "plan": "<string>",
    "prices": {},
    "features": {
      "max_projects": 123,
      "max_services_per_project": 123,
      "available_frequencies": [],
      "api_access": true,
      "prompt_limit_adjustable": true,
      "auto_provisioning": true,
      "branding": true
    }
  }
}

Authorizations

Authorization
string
header
required

Team API key created in Team Settings. Use it with URLs for the same team.

Response

200 - application/json

Team settings.

name
string
required
default_country
object | null
required
primary_color
string
required

Brand colour as a hex string (e.g. #0022ff).

default_prompt_limit
integer
required
max_schedule_frequency
enum<string>
required
Available options:
manual,
monthly,
weekly,
daily
user_auto_provisioning_enabled
boolean
required

Whether the team has any auto-provision email domains configured.

billing
object
required